Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2911193002: Implement timing frames. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 weeks, 2 days ago by ilnik
Modified:
3 days, 4 hours ago
CC:
webrtc-reviews_webrtc.org, interface-changes_webrtc.org, video-team_agora.io, danilchap OOO until July17, yujie_mao (webrtc), kwiberg-webrtc, zhuangzesen_agora.io, zhengzhonghou_agora.io, stefan-webrtc, tterriberry_mozilla.com, qiang.lu, niklas.enbom, peah-webrtc, the sun (OOO until July 24th), mflodman
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Implement timing frames. Timing information is gathered in EncodedImage, starting at encoders. Then it's sent using RTP header extension. In the end, it's gathered at the GenericDecoder. Actual reporting and tests will be in the next CLs. BUG=webrtc:7594 Review-Url: https://codereview.webrtc.org/2911193002 Cr-Commit-Position: refs/heads/master@{#18659} Committed: https://chromium.googlesource.com/external/webrtc/+/04f4d126f84dbbb915f52d91807cabdabf08d483

Patch Set 1 #

Patch Set 2 : Fix incorrect dependencies. Move constant defines to different files. #

Patch Set 3 : rebase #

Patch Set 4 : Resolving incorrect dependencies. Timing frames are now configurable from codec settings. #

Patch Set 5 : Fix memcheck and fuzzer errors #

Patch Set 6 : Fix memcheck error #

Patch Set 7 : Fix uninitialized variables memcheck errors #

Total comments: 33

Patch Set 8 : Implement Sprang@ comments #

Patch Set 9 : rebase #

Patch Set 10 : Fix capture timestamp issues which cause capture time from the future #

Total comments: 13

Patch Set 11 : Add second timestamps reserved for network #

Patch Set 12 : Move timing frame triggering logic out of encoders to genericEncoder #

Patch Set 13 : REBASE #

Patch Set 14 : Fix failing tests #

Patch Set 15 : Disable timing frames in tests where VCMEncodedImageCallback is used without GenericDecoder #

Patch Set 16 : cleanup #

Patch Set 17 : Fixing tests pass 3 #

Total comments: 13

Patch Set 18 : Implement Sprang@ comments. #

Patch Set 19 : Add critical section to VCMEncodedImageCallback #

Patch Set 20 : Added tests #

Patch Set 21 : Rebase #

Patch Set 22 : Fix CE #

Total comments: 23

Patch Set 23 : Implement Asapersson@ comments #

Total comments: 27

Patch Set 24 : Implement Sprang@ comments #

Total comments: 6

Patch Set 25 : rebase #

Patch Set 26 : Implement Asapersson@ comments and foolproof generic encoder to be used in tests #

Total comments: 30

Patch Set 27 : Implement Holmer@ comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+844 lines, -16 lines) Patch
M webrtc/api/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
A webrtc/api/video/video_timing.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +50 lines, -0 lines 0 comments Download
M webrtc/common_types.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 3 chunks +17 lines, -0 lines 0 comments Download
M webrtc/common_types.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2 chunks +3 lines, -1 line 0 comments Download
M webrtc/common_video/include/video_frame.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +19 lines, -0 lines 0 comments Download
M webrtc/config.h View 1 chunk +4 lines, -0 lines 0 comments Download
M webrtc/config.cc View 2 chunks +6 lines, -1 line 0 comments Download
M webrtc/media/engine/webrtcvideoengine.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/modules/include/module_common_types.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/include/rtp_rtcp_defines.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_header_extension_map.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_header_extensions.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 2 chunks +19 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +66 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_packet.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_packet_to_send.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +27 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_receiver_video.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2 chunks +7 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_rtcp_impl.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_rtcp_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_sender.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 2 chunks +5 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 4 chunks +75 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_sender_video.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 3 chunks +11 lines, -0 lines 0 comments Download
M webrtc/modules/rtp_rtcp/source/rtp_utility.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 3 chunks +13 lines, -2 lines 0 comments Download
M webrtc/modules/video_coding/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/video_coding/codec_database.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 3 chunks +9 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +2 lines, -1 line 0 comments Download
M webrtc/modules/video_coding/codecs/vp8/simulcast_unittest.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2 chunks +3 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/codecs/vp8/vp8_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/video_coding/codecs/vp9/vp9_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +2 lines, -1 line 0 comments Download
M webrtc/modules/video_coding/encoded_frame.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +4 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/encoded_frame.cc View 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/video_coding/frame_buffer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +21 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/frame_object.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +28 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/generic_decoder.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +2 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/generic_decoder.cc View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +29 lines, -1 line 0 comments Download
M webrtc/modules/video_coding/generic_encoder.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 3 chunks +31 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/generic_encoder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 7 chunks +116 lines, -2 lines 0 comments Download
A webrtc/modules/video_coding/generic_encoder_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +168 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/include/video_coding_defines.h View 1 2 3 4 5 6 7 1 chunk +8 lines, -1 line 0 comments Download
M webrtc/modules/video_coding/packet.h View 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/modules/video_coding/packet.cc View 1 chunk +2 lines, -1 line 0 comments Download
M webrtc/modules/video_coding/video_codec_initializer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 2 chunks +4 lines, -1 line 0 comments Download
M webrtc/sdk/android/src/jni/androidmediaencoder_jni.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/sdk/objc/Framework/Classes/VideoToolbox/encoder.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/constants.h View 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/test/constants.cc View 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/test/fake_encoder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/test/frame_generator_capturer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M webrtc/test/fuzzers/rtp_packet_fuzzer.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +4 lines, -0 lines 0 comments Download
M webrtc/video/payload_router.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +15 lines, -0 lines 0 comments Download
M webrtc/video/rtp_video_stream_receiver.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 3 chunks +7 lines, -1 line 0 comments Download
M webrtc/video/video_quality_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +2 lines, -0 lines 0 comments Download
M webrtc/video/video_send_stream_tests.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +34 lines, -0 lines 0 comments Download
M webrtc/video/vie_encoder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +8 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 138 (86 generated)
ilnik
3 weeks, 2 days ago (2017-05-30 13:41:39 UTC) #14
sprang_webrtc
First pass. A general comment about clocks: you seem to use both rtc::TimeMillis() and webrtc::Clock::TimeInMilliseconds(), ...
3 weeks, 1 day ago (2017-05-31 11:12:55 UTC) #15
ilnik
https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h#newcode34 webrtc/api/video/video_timing.h:34: } On 2017/05/31 11:12:54, sprang_webrtc wrote: > I'm not ...
3 weeks, 1 day ago (2017-05-31 15:17:45 UTC) #16
ilnik
+nisse Your recent CL caused some problems here ( https://codereview.webrtc.org/2763023002 ) Please review my fixes ...
3 weeks ago (2017-06-01 12:33:37 UTC) #25
nisse-webrtc
https://codereview.webrtc.org/2911193002/diff/180001/webrtc/test/frame_generator_capturer.cc File webrtc/test/frame_generator_capturer.cc (right): https://codereview.webrtc.org/2911193002/diff/180001/webrtc/test/frame_generator_capturer.cc#newcode163 webrtc/test/frame_generator_capturer.cc:163: frame->set_timestamp_us(clock_->TimeInMicroseconds()); On 2017/06/01 12:33:37, ilnik wrote: > For consistency. ...
2 weeks, 6 days ago (2017-06-02 12:04:56 UTC) #28
nisse-webrtc
https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h#newcode34 webrtc/api/video/video_timing.h:34: } On 2017/05/31 15:17:44, ilnik wrote: > On 2017/05/31 ...
2 weeks, 6 days ago (2017-06-02 12:10:48 UTC) #29
kwiberg-webrtc
https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h#newcode34 webrtc/api/video/video_timing.h:34: } On 2017/06/02 12:10:47, nisse-webrtc wrote: > On 2017/05/31 ...
2 weeks, 6 days ago (2017-06-02 12:37:12 UTC) #30
ilnik
https://codereview.webrtc.org/2911193002/diff/180001/webrtc/test/frame_generator_capturer.cc File webrtc/test/frame_generator_capturer.cc (right): https://codereview.webrtc.org/2911193002/diff/180001/webrtc/test/frame_generator_capturer.cc#newcode163 webrtc/test/frame_generator_capturer.cc:163: frame->set_timestamp_us(clock_->TimeInMicroseconds()); On 2017/06/02 12:04:55, nisse-webrtc wrote: > On 2017/06/01 ...
2 weeks, 6 days ago (2017-06-02 13:02:22 UTC) #31
ilnik
On 2017/06/02 12:37:12, kwiberg-webrtc wrote: > https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h > File webrtc/api/video/video_timing.h (right): > > https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h#newcode34 > ...
2 weeks, 6 days ago (2017-06-02 13:54:42 UTC) #32
ilnik
https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/120001/webrtc/api/video/video_timing.h#newcode34 webrtc/api/video/video_timing.h:34: } On 2017/06/02 12:37:12, kwiberg-webrtc wrote: > On 2017/06/02 ...
2 weeks, 6 days ago (2017-06-02 14:00:46 UTC) #33
sprang_webrtc
I still think we should try to move the logic out of the individual encoder ...
2 weeks, 3 days ago (2017-06-05 14:39:20 UTC) #34
ilnik
On 2017/06/05 14:39:20, sprang_webrtc wrote: > I still think we should try to move the ...
2 weeks, 3 days ago (2017-06-05 14:44:13 UTC) #35
sprang_webrtc
On 2017/06/05 14:44:13, ilnik wrote: > On 2017/06/05 14:39:20, sprang_webrtc wrote: > > I still ...
2 weeks, 3 days ago (2017-06-05 14:52:25 UTC) #36
ilnik
https://codereview.webrtc.org/2911193002/diff/120001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc File webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc (right): https://codereview.webrtc.org/2911193002/diff/120001/webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc#newcode413 webrtc/modules/video_coding/codecs/h264/h264_encoder_impl.cc:413: On 2017/06/05 14:39:20, sprang_webrtc wrote: > On 2017/05/31 15:17:45, ...
2 weeks, 1 day ago (2017-06-07 14:25:03 UTC) #37
nisse-webrtc
https://codereview.webrtc.org/2911193002/diff/180001/webrtc/video/vie_encoder.cc File webrtc/video/vie_encoder.cc (right): https://codereview.webrtc.org/2911193002/diff/180001/webrtc/video/vie_encoder.cc#newcode572 webrtc/video/vie_encoder.cc:572: if (incoming_frame.timestamp_us() > current_time_us) On 2017/06/02 13:02:21, ilnik wrote: ...
2 weeks ago (2017-06-08 06:58:36 UTC) #61
ilnik
https://codereview.webrtc.org/2911193002/diff/180001/webrtc/video/vie_encoder.cc File webrtc/video/vie_encoder.cc (right): https://codereview.webrtc.org/2911193002/diff/180001/webrtc/video/vie_encoder.cc#newcode572 webrtc/video/vie_encoder.cc:572: if (incoming_frame.timestamp_us() > current_time_us) On 2017/06/08 06:58:36, nisse-webrtc wrote: ...
2 weeks ago (2017-06-08 07:26:00 UTC) #62
ilnik
Erik, it's ready for another round of review. As you requested, all the logic is ...
2 weeks ago (2017-06-08 07:29:19 UTC) #63
nisse-webrtc
I've only looked at the timestamp issues in vie_encoder.cc. Do you want me to review ...
2 weeks ago (2017-06-08 07:38:36 UTC) #64
ilnik
https://codereview.webrtc.org/2911193002/diff/180001/webrtc/video/vie_encoder.cc File webrtc/video/vie_encoder.cc (right): https://codereview.webrtc.org/2911193002/diff/180001/webrtc/video/vie_encoder.cc#newcode572 webrtc/video/vie_encoder.cc:572: if (incoming_frame.timestamp_us() > current_time_us) On 2017/06/08 07:38:36, nisse-webrtc wrote: ...
2 weeks ago (2017-06-08 08:01:43 UTC) #65
ilnik
On 2017/06/08 07:38:36, nisse-webrtc wrote: > I've only looked at the timestamp issues in vie_encoder.cc. ...
2 weeks ago (2017-06-08 08:10:25 UTC) #66
ilnik
+stefan, Please review modules/ changes.
1 week, 6 days ago (2017-06-09 09:36:57 UTC) #68
sprang_webrtc
https://codereview.webrtc.org/2911193002/diff/180001/webrtc/test/frame_generator_capturer.cc File webrtc/test/frame_generator_capturer.cc (right): https://codereview.webrtc.org/2911193002/diff/180001/webrtc/test/frame_generator_capturer.cc#newcode163 webrtc/test/frame_generator_capturer.cc:163: frame->set_timestamp_us(clock_->TimeInMicroseconds()); On 2017/06/02 12:04:55, nisse-webrtc wrote: > On 2017/06/01 ...
1 week, 6 days ago (2017-06-09 11:02:01 UTC) #69
ilnik
https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.cc File webrtc/modules/video_coding/generic_encoder.cc (right): https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.cc#newcode233 webrtc/modules/video_coding/generic_encoder.cc:233: encoded_image.capture_time_ms_); On 2017/06/09 11:02:01, sprang_webrtc wrote: > nit: maybe ...
1 week, 6 days ago (2017-06-09 12:06:06 UTC) #70
sprang_webrtc
https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.h File webrtc/modules/video_coding/generic_encoder.h (right): https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.h#newcode80 webrtc/modules/video_coding/generic_encoder.h:80: VideoCodec::TimingFrameTriggerThresholds timing_frames_thresholds_; On 2017/06/09 12:06:05, ilnik wrote: > On ...
1 week, 3 days ago (2017-06-12 07:10:10 UTC) #71
ilnik
https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.h File webrtc/modules/video_coding/generic_encoder.h (right): https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.h#newcode80 webrtc/modules/video_coding/generic_encoder.h:80: VideoCodec::TimingFrameTriggerThresholds timing_frames_thresholds_; On 2017/06/12 07:10:10, sprang_webrtc wrote: > On ...
1 week, 3 days ago (2017-06-12 09:06:25 UTC) #72
ilnik
https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.h File webrtc/modules/video_coding/generic_encoder.h (right): https://codereview.webrtc.org/2911193002/diff/320001/webrtc/modules/video_coding/generic_encoder.h#newcode81 webrtc/modules/video_coding/generic_encoder.h:81: }; On 2017/06/12 07:10:10, sprang_webrtc wrote: > On 2017/06/09 ...
1 week, 3 days ago (2017-06-12 10:08:50 UTC) #77
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2911193002/420001
1 week, 3 days ago (2017-06-12 10:30:10 UTC) #87
commit-bot: I haz the power
No L-G-T-M from a valid reviewer yet. CQ run can only be started once the ...
1 week, 3 days ago (2017-06-12 10:30:14 UTC) #89
åsapersson
Some comments for webrtc/modules/rtp_rtcp. https://codereview.webrtc.org/2911193002/diff/420001/webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc File webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc (right): https://codereview.webrtc.org/2911193002/diff/420001/webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc#newcode248 webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc:248: // 5 timestamps in milliseconds ...
1 week, 3 days ago (2017-06-12 14:33:42 UTC) #94
ilnik
https://codereview.webrtc.org/2911193002/diff/420001/webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc File webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc (right): https://codereview.webrtc.org/2911193002/diff/420001/webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc#newcode248 webrtc/modules/rtp_rtcp/source/rtp_header_extensions.cc:248: // 5 timestamps in milliseconds counted from capture time ...
1 week, 2 days ago (2017-06-13 08:43:14 UTC) #95
sprang_webrtc
Thanks for adding tests, looks good! https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc File webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc (right): https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc#newcode477 webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc:477: kAbsoluteSendTimeExtensionId)); why toffset ...
1 week, 2 days ago (2017-06-13 14:14:15 UTC) #96
ilnik
https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc File webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc (right): https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc#newcode477 webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc:477: kAbsoluteSendTimeExtensionId)); On 2017/06/13 14:14:14, sprang_webrtc wrote: > why toffset ...
1 week, 2 days ago (2017-06-13 14:55:44 UTC) #97
åsapersson
https://codereview.webrtc.org/2911193002/diff/460001/webrtc/modules/rtp_rtcp/source/rtp_sender.cc File webrtc/modules/rtp_rtcp/source/rtp_sender.cc (right): https://codereview.webrtc.org/2911193002/diff/460001/webrtc/modules/rtp_rtcp/source/rtp_sender.cc#newcode834 webrtc/modules/rtp_rtcp/source/rtp_sender.cc:834: packet->set_pacer_exit_time_ms(now_ms); check indentation https://codereview.webrtc.org/2911193002/diff/460001/webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc File webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc (right): https://codereview.webrtc.org/2911193002/diff/460001/webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc#newcode353 webrtc/modules/rtp_rtcp/source/rtp_sender_unittest.cc:353: ...
1 week, 1 day ago (2017-06-14 08:03:51 UTC) #98
nisse-webrtc
https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/video_coding/generic_encoder_unittest.cc File webrtc/modules/video_coding/generic_encoder_unittest.cc (right): https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/video_coding/generic_encoder_unittest.cc#newcode19 webrtc/modules/video_coding/generic_encoder_unittest.cc:19: namespace generic_encoder_tests { On 2017/06/13 14:55:44, ilnik wrote: > ...
1 week, 1 day ago (2017-06-14 09:24:43 UTC) #99
ilnik
https://codereview.webrtc.org/2911193002/diff/460001/webrtc/modules/rtp_rtcp/source/rtp_sender.cc File webrtc/modules/rtp_rtcp/source/rtp_sender.cc (right): https://codereview.webrtc.org/2911193002/diff/460001/webrtc/modules/rtp_rtcp/source/rtp_sender.cc#newcode834 webrtc/modules/rtp_rtcp/source/rtp_sender.cc:834: packet->set_pacer_exit_time_ms(now_ms); On 2017/06/14 08:03:50, åsapersson wrote: > check indentation ...
1 week, 1 day ago (2017-06-14 10:17:11 UTC) #100
ilnik
https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/video_coding/generic_encoder_unittest.cc File webrtc/modules/video_coding/generic_encoder_unittest.cc (right): https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/video_coding/generic_encoder_unittest.cc#newcode19 webrtc/modules/video_coding/generic_encoder_unittest.cc:19: namespace generic_encoder_tests { On 2017/06/14 09:24:43, nisse-webrtc wrote: > ...
1 week, 1 day ago (2017-06-14 11:10:37 UTC) #105
nisse-webrtc
lgtm for the things I've commented on. https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/video_coding/generic_encoder_unittest.cc File webrtc/modules/video_coding/generic_encoder_unittest.cc (right): https://codereview.webrtc.org/2911193002/diff/440001/webrtc/modules/video_coding/generic_encoder_unittest.cc#newcode19 webrtc/modules/video_coding/generic_encoder_unittest.cc:19: namespace generic_encoder_tests ...
1 week, 1 day ago (2017-06-14 11:16:04 UTC) #106
sprang_webrtc
lgtm
6 days, 9 hours ago (2017-06-16 09:05:07 UTC) #107
åsapersson
webrtc/modules/rtp_rtcp: lgtm
6 days, 8 hours ago (2017-06-16 10:00:41 UTC) #108
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2911193002/500001
6 days, 5 hours ago (2017-06-16 12:46:17 UTC) #114
commit-bot: I haz the power
Try jobs failed on following builders: presubmit on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/presubmit/builds/18246)
6 days, 5 hours ago (2017-06-16 12:53:36 UTC) #116
ilnik
Stefan, your approval is needed for: webrtc/api/BUILD.gn webrtc/api/video/video_timing.h webrtc/common_types.cc webrtc/common_types.h webrtc/common_video/include/video_frame.h webrtc/config.cc webrtc/config.h webrtc/media/engine/webrtcvideoengine.cc webrtc/modules/include/module_common_types.h ...
6 days, 5 hours ago (2017-06-16 12:57:41 UTC) #117
holmer
https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h#newcode24 webrtc/api/video/video_timing.h:24: static const uint8_t kEncodeFinishIdx = 1; Why doesn't this ...
3 days, 10 hours ago (2017-06-19 07:48:27 UTC) #119
nisse-webrtc
https://codereview.webrtc.org/2911193002/diff/500001/webrtc/video/vie_encoder.cc File webrtc/video/vie_encoder.cc (right): https://codereview.webrtc.org/2911193002/diff/500001/webrtc/video/vie_encoder.cc#newcode627 webrtc/video/vie_encoder.cc:627: // In some cases, e.g. then the frame from ...
3 days, 10 hours ago (2017-06-19 08:08:40 UTC) #120
ilnik
https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h#newcode24 webrtc/api/video/video_timing.h:24: static const uint8_t kEncodeFinishIdx = 1; On 2017/06/19 07:48:26, ...
3 days, 9 hours ago (2017-06-19 08:41:51 UTC) #121
holmer
lgtm, but consider removing network2 if it makes sense. https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h#newcode28 webrtc/api/video/video_timing.h:28: ...
3 days, 6 hours ago (2017-06-19 12:17:47 UTC) #126
ilnik
https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h File webrtc/api/video/video_timing.h (right): https://codereview.webrtc.org/2911193002/diff/500001/webrtc/api/video/video_timing.h#newcode28 webrtc/api/video/video_timing.h:28: static const uint8_t kNetwork2TimestampDeltaIdx = 5; On 2017/06/19 12:17:47, ...
3 days, 5 hours ago (2017-06-19 12:51:58 UTC) #127
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2911193002/520001
3 days, 5 hours ago (2017-06-19 12:52:22 UTC) #130
commit-bot: I haz the power
Try jobs failed on following builders: presubmit on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/presubmit/builds/18329)
3 days, 5 hours ago (2017-06-19 13:01:03 UTC) #132
stefan-webrtc
lgtm
3 days, 4 hours ago (2017-06-19 14:10:55 UTC) #133
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2911193002/520001
3 days, 4 hours ago (2017-06-19 14:16:15 UTC) #135
commit-bot: I haz the power
3 days, 4 hours ago (2017-06-19 14:19:10 UTC) #138
Message was sent while issue was closed.
Committed patchset #27 (id:520001) as
https://chromium.googlesource.com/external/webrtc/+/04f4d126f84dbbb915f52d918...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318